List activities
curl --request GET \
--url https://my.cloudtalk.io/api/activity/index.json \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://my.cloudtalk.io/api/activity/index.json"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://my.cloudtalk.io/api/activity/index.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseData": {
"itemsCount": 3,
"pageCount": 1,
"pageNumber": 1,
"limit": 3,
"data": [
{
"ContactActivity": {
"id": "1234",
"contact_id": "567",
"type": "order",
"name": "Order #201712399",
"description": "Content of order...",
"activity_author": "John Doe",
"external_id": "201712399",
"external_url": "https://www.shopify.com/orders/detail/999",
"activity_date": "2018-02-02T12:12:12.000Z",
"created": "2018-05-01T12:12:12.000Z"
}
}
]
}
}Contacts
List activities
List all activities assigned to contacts
GET
/
activity
/
index.json
List activities
Authorizations
HTTP Basic Authentication. Use your API Access Key ID as the username and your API Access Key Secret as the password. Generate keys in the CloudTalk Dashboard under Account -> Settings -> API Keys (https://dashboard.cloudtalk.io/menu/account/settings/API-keys).
Query Parameters
Filter by contact ID
Filter by type - check below for possible values
Max. number of items in response data.
Required range:
1 <= x <= 1000Number of page to return.
Required range:
x >= 1Response
200 - application/json
Activities data
Show child attributes
Show child attributes
⌘I